History
/v4/electricity-mix/historyGet the last 24 hours of electricity mix for a zone.
Query Parameters
An Electricity Maps zone key.
The temporal granularity of the data to get.
Latitude of the location to get the data for.
Longitude of the location to get the data for.
If false, estimated data points are excluded. Equivalent to disableEstimations=true.
Breakdown method of the electricity mix. normal breaks the mix down by the zone's own generation modes, with imports and exports reported as flows. flow-traced attributes imported electricity to the generation modes that produced it.
Deprecated alias of breakdownType. false is the same as breakdownType=normal; true has no effect. Ignored when breakdownType is given.
If true, the fallback IP-based zone lookup will not be performed.
If true, the response will exclude estimated data points
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/electricity-mix/history"{ "zone": "DK-DK2", "temporalGranularity": "hourly", "unit": "MW", "history": [ { "datetime": "2024-05-19T03:00:00.000Z", "updatedAt": "2025-07-25T12:32:42.039Z", "breakdownType": "flow-traced", "mix": { "nuclear": 0, "geothermal": 0, "biomass": 0, "coal": 0, "wind": 0, "solar": 0, "hydro": 0, "gas": 0, "oil": 0, "unknown": 0, "hydro storage": { "charge": 0, "discharge": 0 }, "battery storage": { "charge": 0, "discharge": 0 }, "flows": { "imports": 0, "exports": 0 } }, "isEstimated": false, "estimationMethod": "string" } ]}Playground
/v4/electricity-mix/history